import path from 'path'
import { defineConfig } from 'vite'
import vue from '@vitejs/plugin-vue'

// https://vitejs.dev/config/
export default defineConfig({
  resolve: {
    alias: {
      '@/': `${path.resolve(__dirname, 'src')}/`,
    },
  },
  css: {
    preprocessorOptions: {
      scss: {
        additionalData: '@import "src/styles/shared";' + `$base-url: '${process.env.BASE_URL}';`,
      },
    },
  },
  base: process.env.BASE_URL,
  plugins: [
    vue(),
  ],
})
